Package org.apache.sysds.runtime.compress.io

# Class CompressWrap

java.lang.Object
org.apache.sysds.runtime.compress.io.CompressWrap

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<MatrixBlock,CompressedWriteBlock>`

public class CompressWrap extends Object implements org.apache.spark.api.java.function.Function<MatrixBlock,CompressedWriteBlock>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CompressWrap()`

## Method Summary

Modifier and Type
Method
Description
`CompressedWriteBlock`
`call(MatrixBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompressWrap

public CompressWrap()

## Method Details

### call

public CompressedWriteBlock call(MatrixBlock arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,CompressedWriteBlock>`
Throws:
  `Exception`